Bug 1265394 - Unauthorized: Invalid credentials for request
Unauthorized: Invalid credentials for request
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-rhsm (Show other bugs)
7.1
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 15:46 EDT by agilley
Modified: 2015-09-24 18:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-24 18:41:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhsm.log (165.18 KB, text/plain)
2015-09-22 15:46 EDT, agilley
no flags Details

  None (edit)
Description agilley 2015-09-22 15:46:41 EDT
Created attachment 1075983 [details]
rhsm.log

Description of problem: Appears to be a reappearance of bug # 998033 

https://bugzilla.redhat.com/show_bug.cgi?id=998033

When trying to register a rhel 7.1 system a message returns with the error "Unauthorized: Invalid credentials for request"


Version-Release number of selected component (if applicable): RHEL 7.1


How reproducible: continuous 


Steps to Reproduce:
1. subscription-manager register 
2. subscription-manager register --username _______ --password _______
3. subscription-manager register --username _______ --password _______ --auto-attach

Actual results: Unauthorized: Invalid credentials for request


Expected results: Successful registration 


Additional info: /var/log/rhsm/rhsm.log is attached.
Comment 3 John Sefler 2015-09-23 08:48:34 EDT
The top of your rhsm.log shows...
2015-09-20 03:26:04,121 [DEBUG] rhsmd @identity.py:131 - Loading consumer info from identity certificates.
2015-09-20 03:26:04,121 [DEBUG] rhsmd @identity.py:143 - Reload of consumer identity cert /etc/pki/consumer/cert.pem raised an exception with msg: [Errno 2] No such file or directory: '/etc/pki/consumer/key.pem'

A successful registration using subscription-manager will land two files...
/etc/pki/consumer/cert.pem
/etc/pki/consumer/key.pem

You appear to be missing the key.

I'll bet you registered a consumer using the customer portal web app and then downloaded the consumer cert and then copied it into /etc/pki/consumer/cert.pem.  I'll bet the key actually appended to the end of cert.pem.

On the other hand, I see this in the logs...
2015-09-21 08:45:32,291 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem, katello-server-ca.pem

which indicates to me that you are probably registering to a katello server.  Maybe your katello server was re-deployed and now you have a bad ca cert and stale consumer.

Bottom line... you are missing etc/pki/consumer/key.pem
Comment 4 agilley 2015-09-24 18:41:38 EDT
I completely missed that. Sorry for the bug report.

Note You need to log in before you can comment on or make changes to this bug.